#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0xd8344fb2, "dst_release" },
	{ 0x9b7fe4d4, "__dynamic_pr_debug" },
	{ 0x4c8d3495, "nf_ct_attach" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xf445891, "l3mdev_master_ifindex_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe677e1e2, "__alloc_skb" },
	{ 0x89fd5dee, "ip6_route_output_flags" },
	{ 0xfbf817e4, "ipv6_skip_exthdr" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf9928be4, "ip6_local_out" },
	{ 0xb52cd3b2, "ip6_dst_hoplimit" },
	{ 0x19e12210, "dev_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe73ca8bc, "skb_put" },
	{ 0x499d70ec, "xfrm_lookup" },
	{ 0x8bdaa83b, "skb_copy_bits" },
	{ 0x745353f8, "nf_ip6_checksum" },
	{ 0x350b4930, "icmp6_send" },
	{ 0xd542439, "__ipv6_addr_type" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";


MODULE_INFO(srcversion, "B77478A5AFAC08AA8480625");
